<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_debugtoolbar', language 'en', version '4.2'.
 *
 * @package     local_debugtoolbar
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['X_queries_in_Y_secs'] = '{$a->queries} queries in {$a->time} secs';
$string['X_secs'] = '{$a} secs';
$string['cache'] = 'Cache';
$string['cache_hits_X'] = 'Cache hits: {$a}';
$string['cache_misses_X'] = 'Cache misses: {$a}';
$string['cache_ratio_X'] = 'Cache ({$a})';
$string['cache_sets_X'] = 'Cache sets: {$a}';
$string['context_X'] = 'Context: {$a}';
$string['contextid_X'] = 'Context id: {$a}';
$string['contexts_for_which_filters_were_loaded_X'] = 'Contexts for which filters were loaded: {$a}';
$string['db_queries_time_X'] = 'DB queries time: {$a} secs';
$string['db_reads_X'] = 'DB reads: {$a}';
$string['db_writes_X'] = 'DB writes: {$a}';
$string['dbqueries_critical_threshold'] = 'Database queries critical threshold';
$string['dbqueries_critical_threshold_description'] = 'Integer to define database queries critical threshold';
$string['dbqueries_warning_threshold'] = 'Database queries warning threshold';
$string['dbqueries_warning_threshold_description'] = 'Integer to define database queries warning threshold';
$string['deprecated_X'] = 'Deprecated: {$a}';
$string['enable_debugtoolbar'] = 'Enable the debug toolbar';
$string['enable_error_handler'] = 'Enable PHP error handler';
$string['enable_error_handler_description'] = 'Override default PHP error handler to display all PHP errors in debug toolbar.';
$string['errors_X'] = 'Errors: {$a}';
$string['extra_memory_limit_X'] = 'Extra memory limit: {$a}';
$string['filters_and_strings'] = 'Filters and strings';
$string['filters_created_X'] = 'Filters created: {$a}';
$string['general_type_X'] = 'General type: {$a}';
$string['get_string_calls_X'] = 'get_string() calls: {$a}';
$string['http_response_code_X'] = 'HTTP response code: {$a}';
$string['included_X_files'] = 'Included {$a} files';
$string['load_average_X'] = 'Load average: {$a}';
$string['maturity_X'] = 'Maturity: {$a}';
$string['more...'] = 'More...';
$string['no_alerts'] = 'No alerts';
$string['notices_X'] = 'Notices: {$a}';
$string['page_type_X'] = 'Page type: {$a}';
$string['php_X'] = 'PHP: {$a}';
$string['pieces_of_content_filtered_X'] = 'Pieces of content filtered: {$a}';
$string['pluginname'] = 'Debug toolbar';
$string['privacy:metadata'] = 'The debug toolbar plugin does not store any personal data.';
$string['ram_X'] = 'RAM: {$a}';
$string['ram_growth_X'] = 'RAM growth: {$a}';
$string['ram_peak_X'] = 'RAM peak: {$a}';
$string['realtime_critical_threshold'] = 'Execution time critical threshold';
$string['realtime_critical_threshold_description'] = 'Float in seconds to define execution time critical threshold';
$string['realtime_warning_threshold'] = 'Execution time warning threshold';
$string['realtime_warning_threshold_description'] = 'Float in seconds to define execution time warning threshold';
$string['session_wait_X'] = 'Session wait: {$a} secs';
$string['sessions'] = 'Sessions';
$string['site_admin_X'] = 'Site admin: {$a}';
$string['strings_filtered_X'] = 'Strings filtered: {$a}';
$string['subpage_X'] = 'Sub-page: {$a}';
$string['total_time_X'] = 'Total time: {$a} secs';
$string['usage_warning'] = '<strong>DO NOT ENABLE THIS PLUGIN IN A PRODUCTION ENVIRONMENT.</strong><br />
This plugin will override the following variables : <code>$CFG->debug</code>, <code>$CFG->debugdisplay</code> and <code>$CFG->perfdebug</code>.';
$string['version_X'] = 'Version: {$a}';
$string['warnings_X'] = 'Warnings: {$a}';
