<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_mail', language 'en', version '4.2'.
 *
 * @package     local_mail
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addrecipients'] = 'Add recipients';
$string['all'] = 'All';
$string['allcourses'] = 'All courses';
$string['allgroups'] = 'All groups';
$string['allroles'] = 'All roles';
$string['allusers'] = 'All users';
$string['apply'] = 'Apply';
$string['bcc'] = 'Bcc';
$string['cachedef_courses'] = 'Course information';
$string['cachedef_labels'] = 'Label information';
$string['cachedef_messages'] = 'Message information';
$string['cachedef_usercourseids'] = 'User course IDs';
$string['cachedef_userlabelids'] = 'User label IDs';
$string['cachedef_users'] = 'User information';
$string['cancel'] = 'Cancel';
$string['cannotsendmailtouser'] = 'You cannot send mail to this user in this course';
$string['cc'] = 'Cc';
$string['changecourse'] = 'Change course';
$string['clearsearch'] = 'Clear search';
$string['close'] = 'Close';
$string['color'] = 'Color';
$string['colorblue'] = 'Blue';
$string['colorcyan'] = 'Cyan';
$string['colorgray'] = 'Gray';
$string['colorgreen'] = 'Green';
$string['colorindigo'] = 'Indigo';
$string['colororange'] = 'Orange';
$string['colorpink'] = 'Pink';
$string['colorpurple'] = 'Purple';
$string['colorred'] = 'Red';
$string['colorteal'] = 'Teal';
$string['coloryellow'] = 'Yellow';
$string['compose'] = 'Compose';
$string['configautosaveinterval'] = 'Autosave interval';
$string['configautosaveintervaldesc'] = 'Interval in seconds between automatic draft saves.';
$string['configcoursebadges'] = 'Course badges';
$string['configcoursebadgesdesc'] = 'Sets the type of course name displayed in messages.';
$string['configcoursebadgeslength'] = 'Length of course badges';
$string['configcoursebadgeslengthdesc'] = 'Limit the length of course badges to this approximate number of characters.';
$string['configcourselink'] = 'Course link';
$string['configcourselinkdesc'] = 'Displays a link to the current course at the top of the page.';
$string['configcoursetrays'] = 'Course trays';
$string['configcoursetraysdesc'] = 'Sets which courses are displayed in menus.';
$string['configcoursetraysname'] = 'Name of course trays';
$string['configcoursetraysnamedesc'] = 'Sets the type of course name displayed in menus.';
$string['configenablebackup'] = 'Backup / restore';
$string['configenablebackupdesc'] = 'Enable backup and restore of mail messages and labels.';
$string['configfilterbycourse'] = 'Filter by course';
$string['configfilterbycoursedesc'] = 'Sets the type of course name used in the filter by course.';
$string['configglobaltrays'] = 'Global trays';
$string['configglobaltraysdesc'] = 'Sets which global trays are displayed in menus. Inbox is always visible.';
$string['configincrementalsearch'] = 'Instant search';
$string['configincrementalsearchdesc'] = 'Enables displaying results while the user is typing in the search box.';
$string['configincrementalsearchlimit'] = 'Instant search limit';
$string['configincrementalsearchlimitdesc'] = 'Sets the maximum number of recent messages included in instant search. Increasing this number can have a negative impact on database performance.';
$string['configmaxattachments'] = 'Number of attachments';
$string['configmaxattachmentsdesc'] = 'Sets the maximum number of attachments allowed per message.';
$string['configmaxattachmentsize'] = 'Attachment size';
$string['configmaxattachmentsizedesc'] = 'Sets the maximum size of attachments allowed per message.';
$string['configmaxrecipients'] = 'Number of recipients';
$string['configmaxrecipientsdesc'] = 'Sets the maximum number of recipients allowed per message.';
$string['configusersearchlimit'] = 'User search limit';
$string['configusersearchlimitdesc'] = 'Sets the maximum number of results displayed in the user search.';
$string['course'] = 'Course';
$string['courseswithunreadmessages'] = 'Courses with unread messages';
$string['create'] = 'Create';
$string['date'] = 'Date';
$string['deleteforever'] = 'Delete forever';
$string['deleteforevermessageconfirm'] = 'Are you sure you want to permanently delete this message?';
$string['deleteforeverselectedconfirm'] = 'Are you sure you want to permanently delete the selected messages?';
$string['deletelabel'] = 'Delete label';
$string['deletelabelconfirm'] = 'Are you sure you want to permanently delete the label \'{$a}\'?';
$string['downloadall'] = 'Download all';
$string['draft'] = 'Draft';
$string['drafts'] = 'Drafts';
$string['draftsaved'] = 'Draft saved';
$string['editlabel'] = 'Edit label';
$string['emptytrash'] = 'Empty trash';
$string['emptytrashconfirm'] = 'Are you sure you want to permanently delete all messages in the trash?';
$string['error'] = 'Error';
$string['errorcoursenotfound'] = 'Course with ID {$a} not found';
$string['erroremptylabelname'] = 'The name of the label is empty';
$string['erroremptyrecipients'] = 'The message has no recipient';
$string['erroremptysubject'] = 'The subject of the message is empty';
$string['errorgroupnotfound'] = 'Group with ID {$a} not found';
$string['errorinvalidrecipients'] = 'You cannot send mail to some of the recipients';
$string['errorlabelnotfound'] = 'Label with ID {$a} not found';
$string['errormessagenotfound'] = 'Message with {$a} not found';
$string['errornocourses'] = 'You do not have permission to send or receive mail in any course';
$string['errornogroups'] = 'You are not a member of any group in this course';
$string['errorpluginnotinstalled'] = 'Mail plugin is not correctly installed or upgraded';
$string['errorrepeatedlabelname'] = 'A label with this name already exists';
$string['errortoomanyrecipients'] = 'The message exceeds the allowed limit of {$a} recipients';
$string['errorusernotfound'] = 'User with ID {$a} not found';
$string['eventdraftcreated'] = 'Draft created';
$string['eventdraftdeleted'] = 'Draft deleted';
$string['eventdraftupdated'] = 'Draft updated';
$string['eventdraftviewed'] = 'Draft viewed';
$string['eventmessagesent'] = 'Message sent';
$string['eventmessageviewed'] = 'Message viewed';
$string['forward'] = 'Forward';
$string['forwardedmessage'] = 'Forwarded message';
$string['from'] = 'From';
$string['gotocourse'] = 'Go to course {$a}';
$string['hasattachments'] = 'Has attachments';
$string['help'] = 'Help';
$string['inbox'] = 'Inbox';
$string['labels'] = 'Labels';
$string['locked'] = 'Locked';
$string['mail:mailsamerole'] = 'Send mail to users with the same role';
$string['mail:usemail'] = 'Use mail';
$string['markasread'] = 'Mark as read';
$string['markasstarred'] = 'Mark as starred';
$string['markasunread'] = 'Mark as unread';
$string['markasunstarred'] = 'Mark as not starred';
$string['markmessagesasread'] = 'Mark messages as read';
$string['messagelist'] = 'Message list';
$string['messagemovedtotrash'] = 'A message has been moved to trash';
$string['messageprovider:mail'] = 'Mail received notification';
$string['messagerestored'] = 'A message has been restored';
$string['messages'] = 'Messages';
$string['messagesent'] = 'Message sent';
$string['messagesmovedtotrash'] = '{$a} messages have been moved to trash';
$string['messagesperpage'] = 'Messages per page';
$string['messagesrestored'] = '{$a} messages have been restored';
$string['more'] = 'More';
$string['movetotrash'] = 'Move to trash';
$string['name'] = 'Name';
$string['navigation'] = 'Navigation';
$string['newlabel'] = 'New label';
$string['newmail'] = 'New mail';
$string['nextmessage'] = 'Next message';
$string['nextpage'] = 'Next page';
$string['nocoursematchestext'] = 'No course matches the entered text';
$string['nomessagesfound'] = 'No messages found';
$string['none'] = 'None';
$string['norecipient'] = '(no recipient)';
$string['nosubject'] = '(no subject)';
$string['notifications'] = 'Notifications';
$string['notificationsmallmessage'] = '{$a->user} has sent you a message in course {$a->course}';
$string['notificationsubject'] = 'New mail in {$a}';
$string['nousersfound'] = 'No users found';
$string['pagingrange'] = '{$a->first}-{$a->last}';
$string['pagingrangetotal'] = '{$a->first}-{$a->last} of {$a->total}';
$string['pagingsingle'] = '{$a->index} of {$a->total}';
$string['pluginname'] = 'Mail';
$string['preferences'] = 'Preferences';
$string['previousmessage'] = 'Previous message';
$string['previouspage'] = 'Previous page';
$string['read'] = 'Read';
$string['references'] = 'References';
$string['remove'] = 'Remove';
$string['reply'] = 'Reply';
$string['replyall'] = 'Reply all';
$string['restore'] = 'Restore';
$string['restoremessageconfirm'] = 'Are you sure you want to restore the selected messages?';
$string['save'] = 'Save';
$string['search'] = 'Search';
$string['searchallmessages'] = 'Search all messages';
$string['searchdate'] = 'Date';
$string['searchdatehelp'] = 'Search messages with this date or an earlier date.';
$string['searchfrom'] = 'From';
$string['searchhasattachments'] = 'Has attachments';
$string['searchoptions'] = 'Search options';
$string['searchto'] = 'To';
$string['searchunreadonly'] = 'Unread only';
$string['select'] = 'Select';
$string['send'] = 'Send';
$string['sendmail'] = 'Send mail';
$string['sentplural'] = 'Sent';
$string['showrecentmessages'] = 'Show recent messages';
$string['starred'] = 'Starred';
$string['starredplural'] = 'Starred';
$string['subject'] = 'Subject';
$string['to'] = 'To';
$string['toomanyusersfound'] = 'Found more users than can be displayed. Enter some text or select a role or group to narrow the search.';
$string['trash'] = 'Trash';
$string['trays'] = 'Trays';
$string['undo'] = 'Undo';
$string['unread'] = 'Unread';
$string['unstarred'] = 'Npt starred';
$string['viewmessage'] = 'View message';
