<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'solo', language 'en', version '4.2'.
 *
 * @package     solo
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['ACC'] = 'Accuracy';
$string['ATL'] = 'Av Sent. Length';
$string['CEFR'] = 'CEFR';
$string['GRM'] = 'Grammar';
$string['LTL'] = 'Longest Sent. Length';
$string['SPL'] = 'Spell';
$string['TW'] = 'Total Words';
$string['actions'] = 'Actions';
$string['activitydate:submissionsdue'] = 'Due:';
$string['activitydate:submissionsopen'] = 'Opens:';
$string['activitydate:submissionsopened'] = 'Opened:';
$string['activityisclosed'] = 'This activity is closed.';
$string['activityisnotopenyet'] = 'This activity is not open yet.';
$string['activitylink'] = 'Link to next activity';
$string['activitylink_help'] = 'To provide a link after the attempt to another activity in the course, select the activity from the dropdown list.';
$string['activitylinkname'] = 'Continue to next activity: {$a}';
$string['activityopenscloses'] = 'Activity open/close dates';
$string['activitysteps'] = 'Activity Steps';
$string['addiframe'] = 'Add iFrame';
$string['addmedia'] = 'Add Media';
$string['addsetup'] = 'Setup Activity';
$string['addttsaudio'] = 'Add TTS Audio';
$string['addytclip'] = 'Add YouTube';
$string['ag_overgradewordgoal'] = '/ Words goal ) x';
$string['ag_pointsper'] = 'points per';
$string['aggroup'] = 'Auto grading';
$string['aggroup_help'] = 'Set the formula which is used to auto grade the students speaking';
$string['apisecret'] = 'Poodll API Secret';
$string['apisecret_details'] = 'The Poodll API secret. See <a href= "https://support.poodll.com/support/solutions/articles/19000083076-cloud-poodll-api-secret">here</a> for more details';
$string['apiuser'] = 'Poodll API User';
$string['apiuser_details'] = 'The Poodll account username that authorises Poodll on this site.';
$string['appauthorised'] = 'Poodll Poodll Solo is authorised for this site.';
$string['appnotauthorised'] = 'Poodll Poodll Solo is NOT authorised for this site.';
$string['ar-ae'] = 'Arabic (Gulf)';
$string['ar-sa'] = 'Arabic (Modern Standard)';
$string['attempt'] = 'Attempt';
$string['attempt_model'] = 'Model Answer';
$string['attempt_prepare'] = 'Prepare';
$string['attempt_record'] = 'Record';
$string['attempt_transcribe'] = 'Type';
$string['attemptcontents'] = 'Attempt Description';
$string['attemptdetails'] = 'attempt Details: {$a}';
$string['attemptfor'] = 'Attempt: {$a}';
$string['attemptname'] = 'Attempt';
$string['attemptnumber'] = '{$a}';
$string['attemptnumberheader'] = 'Attempt Number';
$string['attempts'] = 'Attempts';
$string['attemptsandautogradingheader'] = 'Attempts and AutoGrading';
$string['attemptsheading'] = 'Attempts';
$string['attemptsperpage'] = 'Attempts to show per page:';
$string['attemptsperpage_details'] = 'This sets the number of rows to be shown on reports or lists of attempts.';
$string['attemptsreport'] = 'Attempts Report';
$string['attemptsummary'] = 'attempt Summary: {$a}';
$string['attempttitle'] = 'Attempt Title';
$string['audioandstats'] = 'Audio and Stats';
$string['audiofile'] = 'Audio';
$string['audiorec_heading'] = 'Audio Recorder';
$string['audiorecording'] = 'Audio Recording';
$string['autoeval'] = 'Automatic Evaluation';
$string['autograded'] = 'Auto';
$string['avacc'] = 'Avg Acc';
$string['avatl'] = 'Avg ASL';
$string['avltl'] = 'Avg LSL';
$string['avspell'] = 'Avg Spelling';
$string['avturns'] = 'Avg Sentences';
$string['avtw'] = 'Avg Target Words';
$string['avw'] = 'Avg Words';
$string['awsregion'] = 'AWS Region';
$string['backtotop'] = 'Back to Course';
$string['backtotranscriptedit'] = 'Back to Edit';
$string['bahrain'] = 'Bahrain';
$string['basicheading'] = 'Basic Report';
$string['basicreport'] = 'Basic Report';
$string['bg-bg'] = 'Bulgarian';
$string['bigword'] = 'big word';
$string['bonusgrade'] = 'Auto grading - Adjustments';
$string['capetown'] = 'Capetown, South Africa';
$string['checkgrammarandspelling'] = 'Check grammar and spelling';
$string['checking'] = '... checking ...';
$string['classprogress'] = 'Class Progress';
$string['classprogressheading'] = 'Class Progress';
$string['classprogressreport'] = 'Class Progress';
$string['completedsteps'] = 'Steps Complete';
$string['completionallsteps'] = 'Complete when all steps completed';
$string['completionallsteps_help'] = 'Complete when all steps completed';
$string['confirmattemptdelete'] = 'Are you sure you want to <i>DELETE</i> this attempt?';
$string['confirmattemptdeleteall'] = 'Are you sure you want to <i>DELETE ALL</i> attempts?';
$string['confirmattemptdeletealltitle'] = 'Really Delete ALL Attempts?';
$string['confirmattemptdeletetitle'] = 'Really Delete attempt?';
$string['content_iframe'] = 'Embed iframe code';
$string['content_iframe_help'] = 'Paste iframe embed code (html only) for any media that should be shown to students.';
$string['content_media'] = 'Image, audio or video content';
$string['content_media_help'] = 'Upload an audio/video or image file that will be shown to students.';
$string['content_tts'] = 'TTS text';
$string['content_tts_help'] = 'Text to speech content.';
$string['content_ttsspeed'] = 'Speaker speed';
$string['content_ttsvoice'] = 'Speaker\'s voice';
$string['content_ytend'] = 'End Secs';
$string['content_ytid'] = 'Youtube Video ID';
$string['content_ytstart'] = 'Start Secs';
$string['convlength'] = 'Target Time';
$string['credentialsinvalid'] = 'The API user and secret entered could not be used to get access. Please check them.';
$string['cs-cz'] = 'Czech';
$string['da-dk'] = 'Danish (DK)';
$string['de-at'] = 'German (AT)';
$string['de-ch'] = 'German (Swiss)';
$string['de-de'] = 'German (DE)';
$string['default_enablesuggestions'] = 'Enable AI Suggestions (default)';
$string['default_enabletts'] = 'Enable TTS (default)';
$string['deletealluserdata'] = 'Delete all user data';
$string['deleteattempt'] = 'Delete attempt';
$string['deleteattemptconfirm'] = 'Are you sure that you want to delete this attempt?';
$string['deletenow'] = '';
$string['detailedattempts'] = 'Researcher Report';
$string['detailedattemptsheading'] = 'Researcher Report';
$string['detailedattemptsreport'] = 'Researcher Report';
$string['developer'] = 'Developer';
$string['displaygradewordgoal'] = '{$a} words';
$string['displaysubs'] = '{$a->subscriptionname} : expires {$a->expiredate}';
$string['done'] = 'Done';
$string['donotwaitfortranscript'] = 'I do not want to wait for the transcript.';
$string['dopopupgrade'] = 'Grading user:';
$string['dopostattemptedit'] = 'Edit the last attempt';
$string['downloadaudio'] = 'Download Audio';
$string['downloadaudioheading'] = 'Download Audio';
$string['downloadaudioreport'] = 'Download Audio';
$string['dublin'] = 'Dublin, Ireland';
$string['edit'] = 'Edit';
$string['editingattempt'] = 'Editing a attempt';
$string['el-gr'] = 'Greek';
$string['en-ab'] = 'English (Scotland)';
$string['en-au'] = 'English (Aus.)';
$string['en-gb'] = 'English (GB)';
$string['en-ie'] = 'English (Ireland)';
$string['en-in'] = 'English (IN)';
$string['en-nz'] = 'English (New Zealand)';
$string['en-us'] = 'English (US)';
$string['en-wl'] = 'English (Wales)';
$string['en-za'] = 'English (South Africa)';
$string['enableai'] = 'Enable AI';
$string['enableai_details'] = 'Poodll Solo can evaluate results from a student attempt using AI. Check to enable.';
$string['enableautograde'] = 'Enable autograding';
$string['enableautograde_details'] = 'Autograding will calculate a preliminary grade for your students that you can later override or use as is.';
$string['enablegallery'] = 'Enable Gallery';
$string['enablegallery_details'] = 'Allow students to hear other student submissions on the topic';
$string['enablegallery_help'] = 'Allow students to hear other student submissions on the topic';
$string['enablelocalpost'] = 'Enable Local Post';
$string['enablelocalpost_details'] = 'This is an experimental setting for users in mainland China. Local post will send audio recording submissions to the Moodle server, which will relay them onto our cloud servers. It *might* improve reliability for users with slow connections.';
$string['enablesetuptab'] = 'Enable setup tab';
$string['enablesetuptab_details'] = 'Show a tab containing the activity instance settings to admins. Not super useful in most cases.';
$string['enablesuggestions'] = 'Enable AI Suggestions';
$string['enablesuggestions_details'] = 'Allow AI to suggest a more correct version of the student transcript. Results can be unpredictable. So it is not currently connected with grading.';
$string['enablesuggestions_help'] = 'Allow AI to suggest a more correct version of the student transcript. Results can be unpredictable. So it is not currently connected with grading.';
$string['enabletranscription'] = 'Manual transcription';
$string['enabletranscription_details'] = 'Require students to manually transcribe their own speaking';
$string['enabletts'] = 'Enable TTS';
$string['enabletts_details'] = 'Allow students to hear their transcript read aloud by a TTS voice';
$string['enabletts_help'] = 'Allow students to hear their transcript read aloud by a TTS voice';
$string['errorheader'] = 'Error';
$string['es-es'] = 'Spanish (ES)';
$string['es-us'] = 'Spanish (US)';
$string['eu-es'] = 'Basque';
$string['evaluatedmessage'] = 'Your latest attempt has been received and the evaluation is shown below.';
$string['eventsoloattemptsubmitted'] = 'Solo attempt submitted';
$string['eventsolostepsubmitted'] = 'Solo step submitted';
$string['expiredays'] = 'Days to keep file';
$string['exportexcel'] = 'Export to CSV';
$string['extraslowspeed'] = 'Extra Slow';
$string['fa-ir'] = 'Farsi';
$string['feedbackheader'] = 'Finished';
$string['fetching_auto_transcript'] = 'Fetching the transcript. Please wait ...';
$string['fi-fi'] = 'Finnish';
$string['fil-ph'] = 'Filipino';
$string['file'] = 'File';
$string['fillcredentials'] = 'Set API user and secret with existing credentials';
$string['finish'] = 'Finish';
$string['fonticonexplanation'] = 'Add an icon graphic to represent the topic. Use FontAwesome for this. The pattern is fa-xxx where xxx is the icon name. Search for icons at: <a href="https://fontawesome.com/v4.7.0/icons">https://fontawesome.com/v4.7.0/icons</a>';
$string['forever'] = 'Never expire';
$string['fr-ca'] = 'French (Can.)';
$string['fr-fr'] = 'French (FR)';
$string['frankfurt'] = 'Frankfurt, Germany';
$string['freetrial'] = 'Get Cloud Poodll API Credentials and a Free Trial';
$string['freetrial_desc'] = 'A dialog should appear that allows you to register for a free trial with Poodll. After registering you should login to the members dashboard to get your API user and secret. And to register your site URL.';
$string['gotnosound'] = 'We could not hear you. Please check the permissions and settings for microphone and try again.';
$string['grade'] = 'Grade';
$string['gradeequals'] = 'Grade =';
$string['gradeheader'] = 'Grade';
$string['gradeitem:solo'] = 'Poodll Solo';
$string['gradelabel'] = '{$a}%';
$string['grades'] = 'Grades';
$string['gradesactions'] = 'Actions';
$string['gradesaiscore'] = 'AI Score';
$string['gradesavturnlength'] = 'AV Sentence Length';
$string['gradeschoose'] = 'Choose one:';
$string['gradesclarity'] = 'Clarity';
$string['gradesdatapoint'] = 'Data point';
$string['gradesdate'] = 'Date';
$string['gradesfeedback'] = 'Feedback:';
$string['gradesfirst'] = 'First';
$string['gradesgrade'] = 'Grade';
$string['gradesgraded'] = 'Graded';
$string['gradesgradedno'] = 'Ungraded';
$string['gradesgradedyes'] = 'Graded';
$string['gradesgrader'] = 'Graded By';
$string['gradesid'] = 'ID';
$string['gradeslast'] = 'Last';
$string['gradesmethod'] = 'Graded by';
$string['gradesrubric'] = 'Rubric';
$string['gradesstudent'] = 'Student';
$string['gradessubmit'] = 'Submit';
$string['gradestargetwords'] = 'Target Words';
$string['gradestranscript'] = 'Transcript';
$string['gradesturns'] = 'Sentences';
$string['gradesubmissions'] = 'Grade submissions';
$string['gradeswords'] = 'Total Words';
$string['gradewordgoal'] = 'Total Words Goal';
$string['gradewordgoal_help'] = 'Sets the number of words the student should speak to get maximum points when using auto grading. See grading section of this form for more details.';
$string['gradingsperpage'] = 'Gradings per page';
$string['gradingsperpage_details'] = 'This sets the number of attempts to grade manually to be shown on the grading page at the same time.';
$string['grammarandspellingsuggestions'] = 'Get grammar and spelling suggestions';
$string['grammarcorrection'] = 'Suggested Corrections:';
$string['grammareval'] = 'Grammar Evaluation';
$string['grammarmistake'] = 'grammar mistake';
$string['he-il'] = 'Hebrew';
$string['heard'] = 'Heard';
$string['hi-in'] = 'Hindi';
$string['hidecrossouts'] = 'Hide crossouts';
$string['hr-hr'] = 'Croatian';
$string['hu-hu'] = 'Hungarian';
$string['humangraded'] = 'Teacher';
$string['id'] = 'ID';
$string['id-id'] = 'Indonesian';
$string['idnumber'] = 'ID-number';
$string['important'] = 'Important';
$string['incompleteattemptsheading'] = 'Incomplete Attempts';
$string['incompleteattemptsreport'] = 'Incomplete Attempts';
$string['is-is'] = 'Icelandic';
$string['it-it'] = 'Italian (IT)';
$string['ja-jp'] = 'Japanese';
$string['ko-kr'] = 'Korean';
$string['languageandrecordingheader'] = 'Language and Recording';
$string['layout'] = 'Layout';
$string['layout_narrow'] = 'Narrow';
$string['layout_standard'] = 'Standard';
$string['letsaddsetup'] = 'There is no topic set yet for this activity. Lets add one.';
$string['london'] = 'London, U.K';
$string['lt-lt'] = 'Lithuanian';
$string['lv-lv'] = 'Latvian';
$string['manageattempts'] = 'Manage Attempts';
$string['managegrades'] = 'Manage Grades';
$string['managetopics'] = 'Manage Topics';
$string['maxconvlength'] = 'Time limit';
$string['maxconvlength_details'] = 'Audio recorder time limit';
$string['mediaoptions'] = 'Media Options';
$string['mediumspeed'] = 'Medium';
$string['mi-nz'] = 'Maori';
$string['mk-mk'] = 'Macedonian';
$string['modelanswer'] = 'Model Answer';
$string['modelanswer_help'] = 'Enter a good and complete sample answer to the topic. It will be used as part of the grading process.';
$string['modelanswerheader'] = 'Model Answer';
$string['modelanswerinstructions'] = 'The model answer is used as a \'good answer\', against which similarity (relevance) scores are calculated for automatic grading. It is not shown to students. Use the media options below the model answer to display a video or text to speech player to the students in the model answer step.';
$string['modulename'] = 'Poodll Solo';
$string['modulename_help'] = 'Poodll Solo is an activity designed to give students speaking practice. Students record themselves speaking about a topic, transcribe their own speech and receive feedback on their work.';
$string['modulenameplural'] = 'Poodll Solo';
$string['more_stats'] = 'More stats';
$string['moreattemptdetails'] = 'More Attempt Details';
$string['ms-my'] = 'Malay';
$string['multiattempts'] = 'Allow Multiple Attempts';
$string['multiattempts_details'] = 'If checked a student can choose to overwrite an existing attempt with a new one.';
$string['mumbai'] = 'Mumbai, India';
$string['myattempts'] = 'My Attempts';
$string['myattemptsheading'] = 'My Attempts: {$a}';
$string['myprogress'] = 'My Progress';
$string['myprogressheading'] = 'My Progress: {$a}';
$string['myprogressreport'] = 'My Progress';
$string['myreports'] = 'My Reports';
$string['name'] = 'Name';
$string['nb-no'] = 'Norwegian';
$string['next'] = 'Next';
$string['nl-be'] = 'Dutch (BE)';
$string['nl-nl'] = 'Dutch';
$string['no'] = 'No';
$string['no-no'] = 'Norwegian';
$string['no_grammar_corrections'] = 'No grammar corrections. Well done!';
$string['noapisecret'] = 'No API secret entered. Poodll Solo will not work correctly.';
$string['noapiuser'] = 'No API user entered. Poodll Solo will not work correctly.';
$string['noattemptfound'] = 'That attempt could be found';
$string['noattempts'] = 'This activity contains no attempts';
$string['nodataavailable'] = 'No data available';
$string['noemptyrecording'] = 'Please record and upload before leaving this page.';
$string['noemptyselftranscript'] = 'Please enter something in the textbox before leaving this page.';
$string['nogrammarerrors'] = 'No grammar mistakes.';
$string['nopasting'] = 'Disable paste';
$string['nopasting_details'] = 'Prevent users pasting text into the transcript/text area.';
$string['nopasting_help'] = 'Prevent users pasting text into the transcript/text area.';
$string['nosetup'] = 'Activity is Not Ready';
$string['nospellingerrors'] = 'No spelling mistakes.';
$string['nosubscriptions'] = 'There is no current subscription for this site/plugin.';
$string['nosuggestions'] = 'No suggestions.';
$string['notgradedyet'] = 'Your submission has been received, but has not been graded yet. It might take a few minutes.';
$string['notimelimit'] = 'Unlimited';
$string['notokenincache'] = 'Refresh to see license information. Contact Poodll support if there is a problem.';
$string['novalidcredentials'] = 'API user and secret were rejected and could not gain access. Please check them on <a href="{$a}">the settings page.</a> You can get them from <a href="https://poodll.com/member">Poodll.com.</a>';
$string['ok'] = 'OK';
$string['onemin'] = '1 minute';
$string['oneminxsecs'] = '1 minutes {$a} seconds';
$string['open'] = 'Open:';
$string['ottawa'] = 'Ottawa, Canada';
$string['overview'] = 'Overview';
$string['overview_help'] = 'Overview Help';
$string['partners'] = 'Partners';
$string['pl-pl'] = 'Polish';
$string['pluginadministration'] = 'Poodll Solo Administration';
$string['pluginname'] = 'Poodll Solo';
$string['possiblegrammarerrors'] = 'Possible grammar mistakes:';
$string['possiblespellingerrors'] = 'Possible spelling mistakes:';
$string['postattemptedit'] = 'Can edit after finished';
$string['postattemptedit_details'] = 'Allow student to edit their submission after they have submitted it.';
$string['postattemptheader'] = 'Post attempt options';
$string['preloadtranscript'] = 'Preload Automatic Transcript';
$string['preloadtranscript_details'] = 'This will load the users automatic transcript into the manual transcript area. They can then simply adjust any mistranscriptions.';
$string['preloadtranscript_help'] = 'This will load the users automatic transcript into the manual transcript area. They can then simply adjust any mistranscriptions.';
$string['prerecordtranscriptinstructions'] = 'Enter your response in the text area below. In the next step you will read it aloud';
$string['preview'] = 'Preview';
$string['privacy:metadata'] = 'The Poodll Poodll Solo plugin does store personal data.';
$string['privacy:metadata:attemptid'] = 'The unique identifier of a users Poodll Solo attempt.';
$string['privacy:metadata:attemptstable'] = 'The Poodll Poodll Solo attempts table.';
$string['privacy:metadata:attempttable'] = 'Stores the scores and other user data associated with a Poodll Solo attempt.';
$string['privacy:metadata:cloudpoodllcom'] = 'The Poodll Solo plugin stores recordings in AWS S3 buckets via cloud.poodll.com.';
$string['privacy:metadata:cloudpoodllcom:userid'] = 'The Poodll Solo plugin includes the moodle userid in the urls of recordings and transcripts';
$string['privacy:metadata:filename'] = 'File urls of submitted recordings.';
$string['privacy:metadata:jsontranscriptpurpose'] = 'The full transcripts of recordings.';
$string['privacy:metadata:solo'] = 'The Poodll Poodll Solo plugin does store personal data.';
$string['privacy:metadata:soloid'] = 'The unique identifier of a Poodll Solo activity instance.';
$string['privacy:metadata:timemodified'] = 'The last time attempt was modified for the attempt';
$string['privacy:metadata:transcriptpurpose'] = 'The recording short transcripts.';
$string['privacy:metadata:userid'] = 'The user id for the Poodll Solo attempt';
$string['processing'] = 'Processing';
$string['pt-br'] = 'Portuguese (BR)';
$string['pt-pt'] = 'Portuguese (PT)';
$string['pushaction'] = 'The setting to push';
$string['pushdone'] = 'Push complete. {$a} records updated.';
$string['pushformheading'] = 'Push Settings to other activities';
$string['pushinstructions'] = 'On this page you can select an activity setting, the value of that setting will be pushed to all other activities in this course. You can widen the scope to the whole site, if you are an admin. You can narrow the scope to only activities of the same name. <BR> <b>Be very very careful</b> there is no confirm step. It will just push immediately when you press save. Be sure that you want to do this.';
$string['pushpage'] = 'Push page';
$string['pushsamename'] = 'Apply only to activities with the same name';
$string['pushsitelevel'] = 'Apply Site Wide (else course wide)';
$string['rating_excellent'] = 'Excellent !';
$string['rating_fair'] = 'Thank you';
$string['rating_good'] = 'Good Job';
$string['rating_poor'] = 'Thank you';
$string['rating_verygood'] = 'Very Good';
$string['reattempt'] = 'Try Again';
$string['reattemptbody'] = 'If you continue your previous attempt will be replaced with this one. OK?';
$string['reattempttitle'] = 'Really Try Again?';
$string['recorderaudio'] = 'Audio Recorder';
$string['recorderskin'] = 'Recorder Style';
$string['recordertype'] = 'Recording type';
$string['recordervideo'] = 'Video Recorder';
$string['recordingaiheader'] = 'Recording and AI options';
$string['refreshtoken'] = 'Refresh license information';
$string['region'] = 'AWS Region';
$string['relevance_broad'] = 'Broadly similar (50%)';
$string['relevance_extreme'] = 'Extremely similar (90%)';
$string['relevance_none'] = 'Similarity not considered';
$string['relevance_quite'] = 'Quite similar (70%)';
$string['relevance_very'] = 'Very similar (80%)';
$string['relevancegrade'] = 'Auto grading - Similarity/Relevance';
$string['relevancegrade_details'] = 'Reduce the score of English submissions to the extent that their semantic similarity to the model answer falls below the threshold (x %). If no model answer is specified, this is ignored.';
$string['relevancegrade_help'] = 'Similarity is an AI generated measure of how semantically similar the students response is to the model answer text. When the students similarity score falls below the threshold (x %) their overall grade is reduced proportionally. Similarity is only calculated for responses in English.';
$string['replay'] = 'Hear your audio for this attempt';
$string['reportmenuinstructions'] = 'View reports by selecting the report from the buttons below.';
$string['reports'] = 'Reports';
$string['returntoreports'] = 'Return to Reports';
$string['returntotop'] = 'Return to Top';
$string['ro-ro'] = 'Romanian';
$string['ru-ru'] = 'Russian';
$string['saopaulo'] = 'Sao Paulo, Brazil';
$string['saveandnext'] = 'Save .... and next';
$string['secs_till_check'] = 'checking for results in ...';
$string['selftranscribe'] = 'Transcribe your speech';
$string['selftranscript'] = 'Self Transcript';
$string['sentence'] = 'sentence';
$string['seq_PRM'] = 'Prepare -> Record -> Model (if set)';
$string['seq_PRMT'] = 'Prepare -> Record -> Model -> Transcript';
$string['seq_PRTM'] = 'Prepare -> Record -> Transcribe -> Model (if set)';
$string['seq_PTRM'] = 'Prepare -> Transcribe -> Record -> Model (if set)';
$string['setup'] = 'Setup';
$string['showallcorrections'] = 'Show all corrections';
$string['showgrammar'] = 'Show grammar eval.';
$string['showingattempt'] = 'Showing attempt for: {$a}';
$string['showopts_no'] = 'Don\'t show.';
$string['showopts_yes'] = 'Show.';
$string['showspelling'] = 'Show spelling eval.';
$string['singapore'] = 'Singapore';
$string['sk-sk'] = 'Slovak';
$string['skin123'] = 'One Two Three';
$string['skinbmr'] = 'Burnt Rose';
$string['skinfresh'] = 'Fresh (audio only)';
$string['skinonce'] = 'Once';
$string['skinplain'] = 'Plain';
$string['skinsolo'] = 'Solo';
$string['skinupload'] = 'Upload';
$string['sl-si'] = 'Slovenian';
$string['slowspeed'] = 'Slow';
$string['solo'] = 'solo';
$string['solo:addinstance'] = 'Add a new Poodll Solo';
$string['solo:attemptedit'] = 'Edit attempts';
$string['solo:attemptview'] = 'View attempts';
$string['solo:grades'] = 'View Solo grades';
$string['solo:manage'] = 'Can manage Poodll Solo instances';
$string['solo:manageattempts'] = 'Can manage Poodll Solo attempts';
$string['solo:managetopics'] = 'Manage topics (add/edit/delete)';
$string['solo:preview'] = 'Can preview Solo activities';
$string['solo:selecttopics'] = 'Select topics for use in activity.';
$string['solo:submit'] = 'Can submit Poodll Solo attempts';
$string['solo:view'] = 'View Poodll Solo';
$string['solo:viewreports'] = 'View Poodll Solo reports';
$string['soloname'] = 'Poodll Solo';
$string['soloname_help'] = 'This is the content of the help tooltip associated with the soloname field. Markdown syntax is supported.';
$string['solosettings'] = 'Solo settings';
$string['speakingtargetsheader'] = 'Speaking Targets';
$string['speakingtips'] = 'Speaking Tips';
$string['speakingtips_default'] = 'Speak simply, slowly and clearly.';
$string['speakingtips_details'] = '';
$string['speakingtopic'] = 'Speaking Topic';
$string['speakingtopic_help'] = 'Short instructions to students on what to speak about.';
$string['spellingeval'] = 'Spelling Evaluation';
$string['spellingmistake'] = 'spelling mistake';
$string['sr-rs'] = 'Serbian';
$string['start'] = 'Start';
$string['startrecording'] = 'Click to start recording';
$string['stats'] = 'Stats';
$string['stats_aiaccuracy'] = 'Speaking clarity';
$string['stats_autogrammarscore'] = 'Grammar';
$string['stats_autospellscore'] = 'Spelling';
$string['stats_avturn'] = 'Av. Sentence Length';
$string['stats_cefrlevel'] = 'CEFR Level (est.)';
$string['stats_clarity'] = 'Clarity';
$string['stats_ideacount'] = 'Concepts';
$string['stats_longestturn'] = 'Longest Sentence Length';
$string['stats_longwords'] = 'Long Words';
$string['stats_relevance'] = 'Relevance (est.)';
$string['stats_targetwords'] = 'Target Words';
$string['stats_turns'] = 'Total Sentences';
$string['stats_turns_title'] = 'Sentences';
$string['stats_uniquewords'] = 'Unique Words';
$string['stats_words'] = 'Total Words';
$string['stats_words_title'] = 'Words';
$string['stats_wpm'] = 'Words per Min.';
$string['step_mediarecordinstructions'] = 'Use the recorder below to record yourself. Try to use the target words. Good luck.';
$string['step_model'] = 'Model';
$string['step_modelinstructions'] = 'Check the model answer below.';
$string['step_none'] = 'None';
$string['step_posttranscriberecordinstructions'] = 'Use the recorder below to record yourself speaking.';
$string['step_prepareinstructions'] = 'Check the speaking topic, target words and target speaking time from the options below. When you are ready, move to the next page and begin speaking';
$string['step_prerecord_transcribeinstructions'] = 'Check the instructions and speaking targets, then type your response in the text editor below.';
$string['step_record'] = 'Record';
$string['step_selftranscribeinstructions'] = 'Listen to your recording and enter/check what you said in the editor below. Do not change what you said. You should fix any spelling or punctuation mistakes.';
$string['step_transcribe'] = 'Self Transcribe';
$string['stoprecording'] = 'Click again to stop recording';
$string['submit'] = 'Submit';
$string['submitted'] = 'submitted';
$string['suggestionsgrade'] = 'Auto grading - Suggestions';
$string['suggestionsgrade_details'] = 'If suggested corrections affect the grade, then the percentage difference between the transcript and suggestions text reduces the grade proportionally.';
$string['suggestionsgrade_help'] = 'If suggested corrections affect the grade, then the percentage difference between the transcript and suggestions text reduces the grade proportionally.';
$string['suggestionsgrade_none'] = 'Suggestions do not affect grade';
$string['suggestionsgrade_use'] = 'Suggested corrections reduce grade';
$string['summaryheaderintro'] = 'Check the details and the results of your speech below. What do you think? You should be getting better each time.';
$string['summaryheadertitle'] = 'Your Speech Details';
$string['summaryuserattemptheaderintro'] = '';
$string['summaryuserattemptheadertitle'] = 'Speech Details';
$string['sv-se'] = 'Swedish';
$string['sydney'] = 'Sydney, Australia';
$string['ta-in'] = 'Tamil';
$string['tabular'] = 'Table View';
$string['targetspeakingtime'] = 'Target Speaking Time';
$string['targetwords'] = 'Target Words';
$string['targetwords_help'] = 'Target words or phrases that student should try to use while speaking. Each on a new line.';
$string['targetwordsexplanation'] = 'Add target words each on a new line.';
$string['targetwordspoken'] = 'target word spoken';
$string['te-in'] = 'Telugu';
$string['teachereval'] = 'Teacher Evaluation';
$string['timecreated'] = 'Time Created';
$string['timemodified'] = 'Last Changed';
$string['tips'] = 'Speaking Tips';
$string['tnav_clarity'] = 'Clarity {$a}';
$string['tnav_grammar'] = 'Grammar {$a}';
$string['tnav_spelling'] = 'Spelling {$a}';
$string['toggleplayinstructions'] = '(Press ESC key to start and stop the audio player.)';
$string['tokyo'] = 'Tokyo, Japan';
$string['topic'] = 'Topic';
$string['topicformtitle'] = 'Add/edit Topic';
$string['topicicon'] = 'Icon';
$string['topiclevel'] = 'Level';
$string['topiclevelcourse'] = 'Course';
$string['topiclevelcustom'] = 'Custom';
$string['topicname'] = 'Topic';
$string['topics'] = 'Topics';
$string['topictargetwords'] = 'Target Words';
$string['totalattempts'] = 'Attempts';
$string['totalgradeables'] = 'Grading {$a} students';
$string['totalunique'] = 'Unique word total';
$string['totalwords'] = 'All word total';
$string['tr-tr'] = 'Turkish';
$string['transcriber'] = 'Transcriber';
$string['transcriber_details'] = 'The transcription engine to use.';
$string['transcriber_none'] = 'No transcription';
$string['transcriber_open'] = 'Open transcription';
$string['transcript'] = 'Transcript';
$string['transcriptevaluation'] = 'Transcript Evaluation';
$string['transcriptevaluationdetails'] = 'Underlined words show differences between your transcript and the automatic transcript.';
$string['transcriptnotready'] = '<i>Transcript not ready yet</i>';
$string['transcripttitle'] = 'Transcript';
$string['ttslanguage'] = 'Target Language';
$string['ttsspeed'] = 'TTS Speed';
$string['turns'] = 'Sentences';
$string['uk-ua'] = 'Ukranian';
$string['until'] = 'Until:';
$string['uploading'] = '... uploading ...';
$string['useast1'] = 'US East';
$string['userattempts'] = 'User Attempts';
$string['userattemptsheading'] = '{$a} Attempts';
$string['username'] = 'User';
$string['users'] = 'Partners';
$string['userselections'] = 'User Selection';
$string['videorec_heading'] = 'Video Recorder';
$string['view'] = 'View';
$string['viewattempt'] = 'View';
$string['viewend'] = 'Activity close';
$string['viewend_help'] = 'If set, prevents a student from entering the activity after the closing date/time.';
$string['viewreport'] = 'view report';
$string['viewreports'] = 'View Reports';
$string['viewstart'] = 'Activity open';
$string['viewstart_help'] = 'If set, prevents a student from entering the activity before the start date/time.';
$string['waitforsetup'] = 'There is no topic set yet for this activity. You will not be able to do the activity until your teacher adds one';
$string['waitingforteacher'] = 'Your teacher will check your attempt. Thank You';
$string['words'] = 'Words';
$string['xmins'] = '{$a} minutes';
$string['xminsecs'] = '{$a->minutes} minutes {$a->seconds} seconds';
$string['xminutes'] = '{$a}:00 minutes';
$string['xsecs'] = '{$a} seconds';
$string['yes'] = 'Yes';
$string['ytclipdetails'] = 'Youtube Clip';
$string['zh-cn'] = 'Chinese (Mandarin-Mainland)';
