<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_htmlbootstrapeditor', language 'en', version '4.2'.
 *
 * @package     tool_htmlbootstrapeditor
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accordion'] = 'Accordion';
$string['accordionitem'] = 'Accordion item';
$string['accordionoptions'] = 'Accordion options';
$string['actions'] = 'Actions';
$string['add'] = 'Add';
$string['addcomponent'] = 'Add layout';
$string['addcomponentdesc'] = 'Make sure that the images used will not be used within another activity or another course. Images must be substituted after the drag and drop action otherwise the links to the images will be broken.';
$string['addimage'] = 'Add image';
$string['additionalstylesheet'] = 'Additional Style Sheets';
$string['additionalstylesheetdesc'] = 'The additional style sheets added here should also be added in the <i>additionalhtmlhead</i> property.';
$string['addtab'] = 'Add tab';
$string['after'] = 'After';
$string['alert'] = 'Alert';
$string['align'] = 'Align';
$string['aligncenter'] = 'Align center';
$string['alignleft'] = 'Align left';
$string['alignment'] = 'Alignment';
$string['alignright'] = 'Align right';
$string['all'] = 'All';
$string['appearance'] = 'Appearance';
$string['appliedasstyle'] = 'Applied as style';
$string['audio'] = 'Audio';
$string['audiohelp'] = 'The minimum dimension is 300px x 40px.
If the object is placed inside a responsive column, the minimum dimensions under all circumstances Cellular - iPad - Desktop must be greater than 300px.';
$string['avatarcard'] = 'Avatar card';
$string['back'] = 'Rear';
$string['background'] = 'Background';
$string['backgroundcolor'] = 'Background color';
$string['backgroundcover'] = 'Cover with background image';
$string['backgroundimage'] = 'Background image';
$string['basecomponents'] = 'Base layouts';
$string['basic'] = 'Base';
$string['before'] = 'Before';
$string['bgcolor'] = 'Background color';
$string['big'] = 'Big';
$string['bold'] = 'Bold';
$string['bookmark'] = 'Bookmark';
$string['bootstrap'] = 'Bootstrap';
$string['border'] = 'Border';
$string['bordercolor'] = 'Border color';
$string['borderradius'] = 'Border radius';
$string['borderstyle'] = 'Border style';
$string['bottom'] = 'Bottom';
$string['btnoutline'] = 'Button outline';
$string['button'] = 'Button';
$string['buttonfullwidth'] = 'Button full width';
$string['cancel'] = 'Cancel';
$string['canvas'] = 'Canvas';
$string['card'] = 'Card';
$string['cardbody'] = 'Card body';
$string['cardfooter'] = 'Card footer';
$string['cardheader'] = 'Card header';
$string['carousel'] = 'Carousel';
$string['carouselnav'] = 'Carousel nav';
$string['category'] = 'Category';
$string['center'] = 'Center';
$string['classlist'] = 'Class list';
$string['clickableimage'] = 'Clickable image';
$string['clone'] = 'Clone';
$string['collapsebutton'] = 'Collapse button';
$string['color'] = 'Color';
$string['coltotal'] = 'Total of column size must be 12';
$string['column'] = 'Column';
$string['component_url'] = 'Component fetch URL';
$string['component_urldesc'] = 'Component fetch php URL';
$string['components'] = 'Components';
$string['configtitle'] = 'HTML Bootstrap Editor Settings';
$string['confirmreplace'] = 'Content of this element will be lost. Are you sure you want to do this?';
$string['container'] = 'Container';
$string['control'] = 'Control';
$string['create'] = 'Create';
$string['createcomponent'] = 'Create layout';
$string['createlink'] = 'Create link';
$string['createtemplate'] = 'Create template';
$string['default'] = 'Default';
$string['definecols'] = 'Define columns:';
$string['delete'] = 'Delete';
$string['deleteconfirmmsg'] = 'Are you sure you want to delete this item?';
$string['deleteformat'] = 'Delete format';
$string['description'] = 'Description';
$string['dimension'] = 'Dimension';
$string['drag'] = 'Drag';
$string['edit'] = 'Edit';
$string['embed'] = 'Embed';
$string['enablecomponenttask'] = 'Enable component fetch task';
$string['enablecomponenttaskdesc'] = 'Enables a task where you can put premade components and it will fetch them weekly. Requires a PHP server';
$string['enableshowcase'] = 'Enable showcase';
$string['enableshowcasedesc'] = 'Enables a showcase page where you can put premade templates. Requires a PHP server.';
$string['errorseeconsole'] = 'An error has occurred, please see console';
$string['export'] = 'Export';
$string['exportcollection'] = 'Export collection';
$string['failedtodrop'] = 'Failed to drop item';
$string['fetch_components'] = 'Fetch components';
$string['fhdscreen'] = 'FHD Screen';
$string['flipcard'] = 'Flip card';
$string['font'] = 'Font';
$string['fontcolor'] = 'Font color';
$string['fontsize'] = 'Font size';
$string['front'] = 'Front';
$string['fullheight'] = 'Full Height';
$string['fullwidth'] = 'Full width';
$string['generalsettings'] = 'General';
$string['getstarted'] = 'Get started';
$string['grid'] = 'Grid';
$string['gridbuilder'] = 'Grid builder';
$string['hdscreen'] = 'HD Screen';
$string['heading'] = 'Heading';
$string['headingstyle'] = 'Heading Style';
$string['headingwithicon'] = 'Heading with icon';
$string['height'] = 'Height';
$string['herit'] = 'Inherit';
$string['highlighttool'] = 'Highlight';
$string['horizontal'] = 'Horizontal';
$string['horizontalbar'] = 'Horizontal bar';
$string['horizontaltablet'] = 'Horizontal Tablet';
$string['howmuchcols'] = 'How much columns?';
$string['href'] = 'HREF';
$string['html'] = 'HTML';
$string['htmlattributes'] = 'HTML attributes';
$string['htmlcode'] = 'HTML code';
$string['htmleditor'] = 'HTML Bootstrap Editor';
$string['htmlproprieties'] = 'HTML proprieties';
$string['icon'] = 'Icon';
$string['iconclass'] = 'Icons to be loaded';
$string['iconclassdesc'] = 'CSS classes written above will load icons in icon selector. Fontello and RECITFAD classes are used inside the <a href="https://github.com/SN-RECIT-formation-a-distance/moodle-theme_recit/releases" target="_blank">Theme RECIT v2</a>.';
$string['iconsize'] = 'Icon size';
$string['id'] = 'ID';
$string['iframe'] = 'iFrame';
$string['image'] = 'Image';
$string['imagebank'] = 'Image bank';
$string['imagewithcaption'] = 'Image with caption';
$string['import'] = 'Import';
$string['indent'] = 'Indent';
$string['inputurl'] = 'Input URL';
$string['insertbottom'] = 'Insert at bottom';
$string['inserttop'] = 'Insert at top';
$string['inside'] = 'Inside';
$string['insidebegining'] = 'Inside at the begining';
$string['insideend'] = 'Inside at the end';
$string['invalidcomponent'] = 'Invalid component';
$string['italic'] = 'Italic';
$string['justify'] = 'Justify';
$string['keyword'] = 'Keyword';
$string['lateral'] = 'lateral';
$string['layout'] = 'Layout';
$string['layouts'] = 'Layouts';
$string['layoutspacing'] = 'Layout spacing';
$string['left'] = 'Left';
$string['line'] = 'Line';
$string['link'] = 'Link';
$string['linkaction'] = 'Link actions';
$string['linkoptions'] = 'Link options';
$string['list'] = 'List';
$string['listitem'] = 'List element';
$string['margin'] = 'Margin';
$string['math'] = 'MathJax';
$string['max'] = 'Max';
$string['media'] = 'Media';
$string['mediabody'] = 'Media body';
$string['min'] = 'Min';
$string['moveelementdown'] = 'Move element down';
$string['moveelementup'] = 'Move element up';
$string['msgsuccess'] = 'Operation was successful';
$string['mycomponents'] = 'My layouts';
$string['name'] = 'Name';
$string['nativecomponents'] = 'Native components';
$string['navigation'] = 'Navigation';
$string['newtab'] = 'New tab';
$string['no'] = 'No';
$string['nonbreakingspace'] = 'Non-breaking space';
$string['none'] = 'None';
$string['numberedlist'] = 'Numbered list';
$string['openinnewwindow'] = 'Open in new window';
$string['options'] = 'Options';
$string['outdent'] = 'Outdent';
$string['outline'] = 'Outline';
$string['padding'] = 'Padding';
$string['paddingtype'] = 'Padding type';
$string['paragraph'] = 'Paragraph';
$string['pill'] = 'Pill';
$string['pixabaykey'] = 'Pixabay API Key';
$string['pixabaykeydesc'] = 'Find your API key at <a href="https://pixabay.com/api/docs/">https://pixabay.com/api/docs/</a>.';
$string['pluginname'] = 'HTML Bootstrap Editor';
$string['preview'] = 'Preview';
$string['privacy:metadata:tool_htmlbootstrapeditor_templates'] = 'Stores templates';
$string['privacy:metadata:tool_htmlbootstrapeditor_templates:htmlstr'] = 'Template HTML';
$string['privacy:metadata:tool_htmlbootstrapeditor_templates:img'] = 'Image preview of template';
$string['privacy:metadata:tool_htmlbootstrapeditor_templates:name'] = 'Template name';
$string['privacy:metadata:tool_htmlbootstrapeditor_templates:type'] = 'Template type';
$string['privacy:metadata:tool_htmlbootstrapeditor_templates:userid'] = 'The user ID the template belongs to';
$string['privacymetadata'] = 'The tool_htmlbootstrapeditor plugin stores user templates with userid.';
$string['properties'] = 'Properties';
$string['proprieties'] = 'Proprieties';
$string['rear'] = 'Rear';
$string['redo'] = 'Redo';
$string['removebgcolor'] = 'Remove background color';
$string['removefontcolor'] = 'Remove font color';
$string['removeformat'] = 'Remove format';
$string['removelink'] = 'Remove link';
$string['responsive'] = 'Responsive';
$string['responsivesize'] = 'Responsive size';
$string['returntohtmleditor'] = 'Return to HTML Editor';
$string['reverserow'] = 'Reverse columns on mobile';
$string['right'] = 'Right';
$string['row'] = 'Row';
$string['samepage'] = 'Same page';
$string['save'] = 'Save';
$string['savetemplate'] = 'Save template';
$string['screenshot'] = 'Screenshot';
$string['search'] = 'Search';
$string['selecticon'] = 'Select icon';
$string['selectoption'] = 'Select an option';
$string['shadow'] = 'Shadow';
$string['showcase_url'] = 'Showcase URL';
$string['showcase_urldesc'] = 'Showcase index where your showcase server runs';
$string['showroom'] = 'Showcase';
$string['size'] = 'Size';
$string['small'] = 'Small';
$string['smartphone'] = 'Smartphone';
$string['source'] = 'Source';
$string['sourcecode'] = 'Source code';
$string['sourcecodedesigner'] = 'Source code | designer';
$string['spacing'] = 'Spacing';
$string['split'] = 'Split hr';
$string['strikethrough'] = 'Strikethrough';
$string['striped'] = 'Striped';
$string['style'] = 'Style';
$string['stylesheet_to_add'] = 'Title of style sheets to be loaded by the editor.';
$string['stylesheet_to_adddesc'] = 'Specify the title of style sheets to be loaded. Multiple titles can be added by using a comma. You can find more detailed instructions <a href="https://github.com/SN-RECIT-formation-a-distance/moodle-tool_htmlbootstrapeditor/blob/master/README.md#css-loading" target="_blank">here</a>.';
$string['tab'] = 'Tab';
$string['tabcontent'] = 'Tab content';
$string['table'] = 'Table';
$string['tablecell'] = 'Table cell';
$string['tableheader'] = 'Table Header';
$string['tablerow'] = 'Table row';
$string['tabletitle'] = 'Table title';
$string['taboptions'] = 'Tab options';
$string['templateadded'] = 'Template has been added to the page';
$string['templates'] = 'Templates';
$string['text'] = 'Text';
$string['textcolor'] = 'Text Color';
$string['texteditor'] = 'Text editor';
$string['texttoshow'] = 'Text to show';
$string['title'] = 'Title';
$string['top'] = 'Top';
$string['tree'] = 'Tree';
$string['underline'] = 'Underline';
$string['undo'] = 'Undo';
$string['value'] = 'Value';
$string['verticalalign'] = 'Center vertically';
$string['verticalspace'] = 'Vertical space';
$string['verticaltablet'] = 'Vertical Tablet';
$string['video'] = 'Video';
$string['videobutton'] = 'Video button';
$string['videourl'] = 'Video URL';
$string['width'] = 'Width';
$string['yes'] = 'Yes';
$string['youtubeparamrel'] = 'Values: 0 or 1. The default value is 1. This parameter determines whether the player should display similar videos at the end of video playback.';
